<?php

namespace Litecms\Affiliatetable\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AffiliatetableTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Affiliatetable\Models\Affiliatetable $affiliatetable)
    {
        return [
            'id'                => $affiliatetable->getRouteKey(),
            'key'               => [
                'public'    => $affiliatetable->getPublicKey(),
                'route'     => $affiliatetable->getRouteKey(),
            ], 
            'level1'            => $affiliatetable->level1,
            'level2'            => $affiliatetable->level2,
            'url'               => [
                'public'    => trans_url('affiliatetable/'.$affiliatetable->getPublicKey()),
                'user'      => guard_url('affiliatetable/affiliatetable/'.$affiliatetable->getRouteKey()),
            ], 
            'status'            => trans('app.'.$affiliatetable->status),
            'created_at'        => format_date($affiliatetable->created_at),
            'updated_at'        => format_date($affiliatetable->updated_at),
        ];
    }
}